Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
Class AbstractConcurrentMapBase.Segment

    java.lang.Object
      java.util.concurrent.locks.AbstractOwnableSynchronizer
          java.util.concurrent.locks.AbstractQueuedSynchronizer
              org.codehaus.groovy.util.LockableObject
                  org.codehaus.groovy.util.AbstractConcurrentMapBase.Segment

    class AbstractConcurrentMapBase.Segment
    extends LockableObject

Field Summary
`int` | `count`
`Object[]` | `table`
`int` | `threshold`

Constructor Summary
`protected AbstractConcurrentMapBase.Segment(int initialCapacity)`

Method Summary
`void` | `rehash()`
`void` | `removeEntry(Entry e)`
`void` | `setTable(Object[] newTable)`

Methods inherited from class LockableObject
isHeldExclusively, lock, tryAcquire, tryRelease, unlock

Methods inherited from class AbstractQueuedSynchronizer
toString, acquireInterruptibly, getQueueLength, getQueuedThreads, getWaitQueueLength, getWaitingThreads, hasQueuedThreads, hasWaiters, isQueued, release, tryAcquireNanos, acquire, acquireShared, acquireSharedInterruptibly, getExclusiveQueuedThreads, getFirstQueuedThread, getSharedQueuedThreads, hasContended, hasQueuedPredecessors, owns, releaseShared, tryAcquireSharedNanos, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class AbstractOwnableSynchronizer
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### count

    int count

### table

    Object[] table

### threshold

    int threshold

Constructor Detail

### AbstractConcurrentMapBase.Segment

    protected AbstractConcurrentMapBase.Segment(int initialCapacity)

Method Detail

### rehash

    public void rehash()

### removeEntry

    public void removeEntry(Entry e)

### setTable

    public void setTable(Object[] newTable)

Copyright © 2003-2009 The Codehaus. All rights reserved.